Subject: Re: dlls are completely free?
From: Chris Faylor <[email-masked]>
To: creative1 <[email-masked]>
Cc: [email-masked]
Date: Thu, 4 Mar 1999 11:21:44 -0500

On Thu, Mar 04, 1999 at 09:57:18AM -0500, creative1 wrote:
>I remember reading something about it, but I lost the
>message...
>
>Can I distribute the cygwins.dll with my program?
>I mean, my program is under gnu license, 100% free
>etc... Can I include the .dll when distributing it for
>windows?

You can distribute the DLL as long as you are willing to make source code
for the DLL and for your program available.

Unfortunately, use of the cygwin DLL by your program means that your program
is also subject to the GPL.  That means that you must provide source code for
both your program and the DLL if someone asks for it.

Cygnus does offer other licensing arrangements which allow you to avoid the
source code restriction but you'll have to pay for them.

So, I think this is good news for you since you are going to be distributing
a GPL program.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]